View Issue Details

IDProjectCategoryView StatusLast Update
0036420FPCPackagespublic2020-02-23 11:08
ReporterHans Luijten Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformCocoaOSmacOS 
Product Version3.3.1 
Fixed in Version3.2.0 
Summary0036420: Cocoa - when using context functions in Lazarus IDE: NSExtensionContext.inc: operator missing (+patch)
DescriptionAfter doing a clean build of FPC 3.3.1 from SVN and Lazarus IDE from SVN, I get the error: "NSExtensionContext.inc: operator missing" when using the context functions in the IDE (keyboard shortcut to jump to function or function declaration).

I've modified line 1 of NSExtensionContext.inc in the patch (see additional information), but I'm not 100% sure this would be the right fix, since I do not really use these particular compiler directives.
This did however fix the issue for me.

Also note that this is Cocoa specific, but since it comes with FPC under Packages, I figured I should post a bug under this category as well.
Steps To ReproduceDownload FPC from SVN, and do a clean build and install.
Additional InformationSeems that FPC is not linking line 1:

{$if defined(__OBJC2__)defined(interface)defined(NSExtensionContext)defined(NSObject)}

Changed it to:

{$if defined(__OBJC2__) and defined(interface) and defined(NSExtensionContext) and defined(NSObject)}
TagsNo tags attached.
Fixed in Revision44232
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Hans Luijten

2019-12-10 14:49

reporter  

NSExtensionContext.patch (571 bytes)   
Index: NSExtensionContext.inc
===================================================================
--- NSExtensionContext.inc	(revision 43670)
+++ NSExtensionContext.inc	(working copy)
@@ -1,6 +1,6 @@
 { Parsed from Foundation.framework NSExtensionContext.h }
 
-{$if defined(__OBJC2__)defined(interface)defined(NSExtensionContext)defined(NSObject)}
+{$if defined(__OBJC2__) and defined(interface) and defined(NSExtensionContext) and defined(NSObject)}
 {$ifdef EXTERNAL_SYMBOLS}
 var
   NSExtensionItemsAndErrorsKey: NSString { available in 10_10, 8_0 }; cvar; external;
NSExtensionContext.patch (571 bytes)   

CudaText man

2019-12-10 16:39

reporter   ~0119730

It is the right notation for $IF in your fix.

Hans Luijten

2019-12-11 11:23

reporter   ~0119744

Thanks for confirming Alexey! 😊

Jonas Maebe

2020-02-22 17:22

manager   ~0121194

Thanks for the patch, applied.

Hans Luijten

2020-02-23 11:08

reporter   ~0121201

Thanks Jonas!

Issue History

Date Modified Username Field Change
2019-12-10 14:49 Hans Luijten New Issue
2019-12-10 14:49 Hans Luijten File Added: NSExtensionContext.patch
2019-12-10 16:39 CudaText man Note Added: 0119730
2019-12-11 11:23 Hans Luijten Note Added: 0119744
2020-02-22 17:22 Jonas Maebe Assigned To => Jonas Maebe
2020-02-22 17:22 Jonas Maebe Status new => resolved
2020-02-22 17:22 Jonas Maebe Resolution open => fixed
2020-02-22 17:22 Jonas Maebe Fixed in Version => 3.3.1
2020-02-22 17:22 Jonas Maebe Fixed in Revision => 44231
2020-02-22 17:22 Jonas Maebe FPCTarget => 3.2.0
2020-02-22 17:22 Jonas Maebe Note Added: 0121194
2020-02-22 17:23 Jonas Maebe Fixed in Version 3.3.1 => 3.2.0
2020-02-22 17:23 Jonas Maebe Description Updated View Revisions
2020-02-22 17:23 Jonas Maebe Additional Information Updated View Revisions
2020-02-22 17:23 Jonas Maebe Fixed in Revision 44231 => 44232
2020-02-23 11:08 Hans Luijten Status resolved => closed
2020-02-23 11:08 Hans Luijten Note Added: 0121201